QueueStats (Oracle - Berkeley DB Java API)
Date: 2013-09-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class QueueStats

    java.lang.Object
      com.sleepycat.db.DatabaseStats
          com.sleepycat.db.QueueStats

    public class QueueStats

extends DatabaseStats

The QueueStats object is used to return Queue database statistics.

Method Summary
`int` | `getCurRecno()` The next available record number.
`int` | `getExtentSize()` The underlying database extent size, in pages.
`int` | `getFirstRecno()` The first undeleted record in the database.
`int` | `getMagic()` The magic number that identifies the file as a Queue file.
`int` | `getMetaFlags()` Reports internal flags.
`int` | `getNumData()` The number of records in the database.
`int` | `getNumKeys()` The number of records in the database.
`int` | `getPages()` The number of pages in the database.
`int` | `getPagesFree()` The number of bytes free in database pages.
`int` | `getPageSize()` The underlying database page size, in bytes.
`int` | `getReLen()` The length of the records.
`int` | `getRePad()` The padding byte value for the records.
`int` | `getVersion()` The version of the Queue database.
`String` | `toString()` For convenience, the QueueStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMagic

    public int getMagic()

  The magic number that identifies the file as a Queue file.

### getVersion

    public int getVersion()

  The version of the Queue database.

### getMetaFlags

    public int getMetaFlags()

  Reports internal flags. For internal use only.

### getNumKeys

    public int getNumKeys()

  The number of records in the database.

  If the `Database.getStats` call was configured by the `StatsConfig.setFast` method, the count will be the last saved value unless it has never been calculated, in which case it will be 0.

### getNumData

    public int getNumData()

  The number of records in the database.

  If the `Database.getStats` call was configured by the `StatsConfig.setFast` method, the count will be the last saved value unless it has never been calculated, in which case it will be 0.

### getPageSize

    public int getPageSize()

  The underlying database page size, in bytes.

### getExtentSize

    public int getExtentSize()

  The underlying database extent size, in pages.

### getPages

    public int getPages()

  The number of pages in the database.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getReLen

    public int getReLen()

  The length of the records.

### getRePad

    public int getRePad()

  The padding byte value for the records.

### getPagesFree

    public int getPagesFree()

  The number of bytes free in database pages.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getFirstRecno

    public int getFirstRecno()

  The first undeleted record in the database.

### getCurRecno

    public int getCurRecno()

  The next available record number.

### toString

    public String toString()

  For convenience, the QueueStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.